module SourMix

  # We use a VERSION file to tie into our build pipeline
  VERSION  = File.read(File.join(File.dirname(__FILE__), '..', '..', 'VERSION')).strip

  # We don't really do all that much, be humble
  SUMMARY  = 'Shove Mixpanel events into Kafka by way of Theon'

  # Like the MIT license, but even simpler
  LICENSE  = 'ISC'

  # Where you should look first
  HOMEPAGE = 'https://github.com/sczizzo/sourmix'

  # Your benevolent dictator for life
  AUTHOR   = 'Sean Clemmer'

  # Turn here to strangle your dictator
  EMAIL    = 'sczizzo@gmail.com'

  # Bundled extensions
  TRAVELING_RUBY_BUCKET = 'http://d6r77u77i8pq3.cloudfront.net'
  TRAVELING_RUBY_VERSION = '20150715-2.2.2'
  JSON_VERSION = '1.8.2'

  # Every project deserves its own ASCII art
  ART      = <<-'EOART' % VERSION

              _            _      _                  _          _   _          _     _      _
             / /\         /\ \   /\_\               /\ \       /\_\/\_\ _     /\ \ /_/\    /\ \
            / /  \       /  \ \ / / /         _    /  \ \     / / / / //\_\   \ \ \\ \ \   \ \_\
           / / /\ \__   / /\ \ \\ \ \__      /\_\ / /\ \ \   /\ \/ \ \/ / /   /\ \_\\ \ \__/ / /
          / / /\ \___\ / / /\ \ \\ \___\    / / // / /\ \_\ /  \____\__/ /   / /\/_/ \ \__ \/_/
          \ \ \ \/___// / /  \ \_\\__  /   / / // / /_/ / // /\/________/   / / /     \/_/\__/\
           \ \ \     / / /   / / // / /   / / // / /__\/ // / /\/_// / /   / / /       _/\/__\ \
       _    \ \ \   / / /   / / // / /   / / // / /_____// / /    / / /   / / /       / _/_/\ \ \
      /_/\__/ / /  / / /___/ / // / /___/ / // / /\ \ \ / / /    / / /___/ / /__     / / /   \ \ \
      \ \/___/ /  / / /____\/ // / /____\/ // / /  \ \ \\/_/    / / //\__\/_/___\   / / /    /_/ /
       \_____\/   \/_________/ \/_________/ \/_/    \_\/        \/_/ \/_________/   \/_/     \_\/  v%s

  EOART
end